$search-box-width: 300px;

.searchable-select-container {
    display: block;
    width: $search-box-width;
    height: 300px;
    .search-box {
        width: $search-box-width;
        padding: 6px;
        border: 1px solid rgba(0, 0, 0, 0.2);
    }

    .search-results {
        list-style: none;
        height: 200px;
        width: $search-box-width;
        margin: 0;
        padding: 0;
        margin-top: 8px;
        overflow: auto;
        scroll-behavior: smooth;
        box-shadow: 0 3px 6px -4px #0000001f, 0 6px 16px #00000014,
            0 9px 28px 8px #0000000d;

        .result-item {
            display: flex;
            width: 100%;
            padding: 8px;

            &:hover {
                background-color: rgba(0, 0, 0, 0.05);
            }

            .avataar {
                width: 35px;
                height: 35px;
                margin-right: 8px;
                border-radius: 25px;
            }

            .info-container {
                display: flex;
                flex-direction: column;
                margin-left: 4px;

                .username {
                    margin-bottom: 4px;
                    font-size: 14px;
                    text-overflow: ellipsis;
                }

                .information {
                    font-size: 12px;
                    opacity: 0.5;
                }
            }
        }
    }
}
